/* ChessTask - A graphical frontend for creating chess tasks in
*              LaTeX or HTML.
* Copyright (C) 2002-2004 by Dirk Baechle (dl9obn@darc.de)
*
* http://chesstask.sourceforge.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public
* License along with this program; if not, write to the 
*
* Free Software Foundation, Inc.
* 675 Mass Ave
* Cambridge
* MA 02139
* USA
*
*/

/** 
\file ctHTMLExport.h
\author Dirk Baechle
\date 2004-03-24
\version 2.0
*/

#ifndef CT_HTMLEXPORT_H
#define CT_HTMLEXPORT_H

/*------------------------------------------- Forward class declarations */

class QString;
class QTextStream;

/*------------------------------------------------------------ Functions */

extern void writeHTMLHeader(QTextStream &t, const QString &sTitle, bool bUseTTFont);
extern void writeHTMLTrailer(QTextStream &t, const QString &graphicsDir, bool bUseTTFont);

#endif

